# shm_has_var

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

shm_has_var — Check whether a specific entry exists

### 说明

shm_has_var(SysvSharedMemory `$shm`, int `$key`): bool

Checks whether a specific key exists inside a shared memory segment.

### 参数

`shm`

  A shared memory segment obtained from shm_attach().

`key`

  The variable key.

### 返回值

Returns `true` if the entry exists, otherwise `false`

### 更新日志

版本 | 说明
--- | ---
8.0.0 | `shm` expects a SysvSharedMemory instance now; previously, a resource was expected.

### 参见

- shm_get_var() - Returns a variable from shared memory
- shm_put_var() - Inserts or updates a variable in shared memory

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open